Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.VdiType

    java.lang.Object
      java.lang.Enum<Types.VdiType>
          com.xensource.xenapi.Types.VdiType

All Implemented Interfaces:
  Serializable, Comparable<Types.VdiType>

Enclosing class:
  Types

    public static enum Types.VdiType

extends Enum<Types.VdiType>

Enum Constant Summary
`CRASHDUMP` a disk that stores VM crashdump information
`EPHEMERAL` a disk that may be reformatted on upgrade
`HA_STATEFILE` a disk used for HA storage heartbeating
`METADATA` a disk used for HA Pool metadata
`REDO_LOG` a disk used for a general metadata redo-log
`SUSPEND` a disk that stores a suspend image
`SYSTEM` a disk that may be replaced on upgrade
`UNRECOGNIZED` The value does not belong to this enumeration
`USER` a disk that is always preserved on upgrade

Method Summary
`String` | `toString()`
`static Types.VdiType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.VdiType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.VdiType UNRECOGNIZED

  The value does not belong to this enumeration

### SYSTEM

    public static final Types.VdiType SYSTEM

  a disk that may be replaced on upgrade

### USER

    public static final Types.VdiType USER

  a disk that is always preserved on upgrade

### EPHEMERAL

    public static final Types.VdiType EPHEMERAL

  a disk that may be reformatted on upgrade

### SUSPEND

    public static final Types.VdiType SUSPEND

  a disk that stores a suspend image

### CRASHDUMP

    public static final Types.VdiType CRASHDUMP

  a disk that stores VM crashdump information

### HA_STATEFILE

    public static final Types.VdiType HA_STATEFILE

  a disk used for HA storage heartbeating

### METADATA

    public static final Types.VdiType METADATA

  a disk used for HA Pool metadata

### REDO_LOG

    public static final Types.VdiType REDO_LOG

  a disk used for a general metadata redo-log

Method Detail

### values

    public static Types.VdiType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.VdiType c : Types.VdiType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.VdiType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.VdiType>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD